Subject: [Gen-art] FW: Gen-ART review of draft-ietf-ccamp-gmpls-mln-extensions-12

From: <[email-masked]>
Date: Sat, 27 Feb 2010 12:59:35 -0500

This review of -12 is for the IESG Telechat (and the requested RFC Editor Note has been created) - please update the Gen-ART web page accordingly.

Thanks,
--David

-----Original Message-----
From: Black, David 
Sent: Monday, February 22, 2010 5:13 PM
To: [email-masked]'; [email-masked]'; [email-masked]'; [email-masked]'; [email-masked]'; [email-masked]'
Cc: 'Lou Berger'; 'Adrian Farrel'; [email-masked]'; Black, David
Subject: Gen-ART review of draft-ietf-ccamp-gmpls-mln-extensions-12

The -12 version of this draft resolves all of the comments from the Gen-ART review of the -11 version with one minor exception -- the word "Call" needs to be inserted into the second line of section 5.1.5 as indicated below:

    5.1.5 Call Inheritance Flag  
            
       This document introduces a specific Call Inheritance Flag at 
       position bit 0 (most significant bit) in the Attributes Flags
                                                   ^
                                                   |
Call ----------------------------------------------/

An RFC Editor Note would be a fine way of handling this change, but it does need to be made.

Thanks,
--David

> -----Original Message-----
> From: Black, David
> Sent: Friday, February 12, 2010 9:11 PM
> To: [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]; 'gen-
> [email-masked]'
> Cc: Black, David; Lou Berger; Adrian Farrel; [email-masked]
> Subject: Gen-ART review of draft-ietf-ccamp-gmpls-mln-extensions-11
> 
> I have been selected as the General Area Review Team (Gen-ART)
> reviewer for this draft (for background on Gen-ART, please see
> http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
> 
> Please resolve these comments along with any other Last Call
> comments you may receive.
> 
> Document: draft-ietf-ccamp-gmpls-mln-extensions-11
> Reviewer: David L. Black
> Review Date: February 12, 2010
> IETF LC End Date: February 16, 2010
> 
> Summary:
> This draft is basically ready for publication, but has nits
> that should be fixed before publication.
> 
> Comments:
> This draft extends GMPLS routing and signaling to support the
> operation of GMPLS Multi-Layer/Multi-Region Networks.  One needs to be
> a GMPLS expert to fully understand this draft - although, I'm not a
> GMPLS expert, the draft reads reasonably well.  All of these comments
> are minor.
> 
> The IACD sub-TLV formats for OSPF and IS-IS appear to be identical.  If
> they are in fact identical, a single ASCII text diagram should be used
> for both.
> 
> The description of the IACD sub-TLV format does not describe the
> Max LSP Bandwidth fields.  At a minimum the units and/or encoding of
> these fields should be described here, even thought the full
> specification may be elsewhere.
> 
> Please add the values for Type and Length for the XRO SC subobject
> into the ASCII figure in Section 4.1.1 .
> 
> Section 4.1.2 defines a new subobject by making minor changes to an
> existing one in another RFC; a complete ASCII diagram of the new
> subobject would be helpful - please add one.
> 
> Sections 5.1.4, 5.2.1 and 8 have me confused about the Attributes Flags TLV:
> - Section 5.1.4 defines an Attributes Flags TLV here
> - Section 5.2.1 points to RFC 5420 for what's apparently a different
> 	Attributes Flags TLV and defines a Pre-Planned LSP flag in
> 	that TLV.
> - Section 8 then apparently instructs IANA to put that bit into the
> 	Attributes Flags TLV defined in Section 5.1.4 .
> Something appears to be wrong with this combination - what was
> the intent?  If these two TLVs are the same, or share a common bit
> assignment registry, that should be stated.
> 
> idnits 2.12.00 found three nits:
> 
>   == The page length should not exceed 58 lines per page, but there was 1
>      longer page, the longest (page 1) being 62 lines
> 
>   ** There are 144 instances of too long lines in the document, the longest
>      one being 1 character in excess of 72.
> 
>   == Line 781 has weird spacing: '...ndwidth  is st...'
> 
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Distinguished Engineer
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
>